summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2012-09-05 00:55:15 +0000
committerTim Harder <radhermit@gentoo.org>2012-09-05 00:55:15 +0000
commit7f4f91fd7341b75b0d86e1b6ab1e742187a22346 (patch)
treef041582c50cb212a9af1613b6beeb009d9d320c2 /www-apps/moinmoin/files
parentany mod support will do (diff)
downloadgentoo-2-7f4f91fd7341b75b0d86e1b6ab1e742187a22346.tar.gz
gentoo-2-7f4f91fd7341b75b0d86e1b6ab1e742187a22346.tar.bz2
gentoo-2-7f4f91fd7341b75b0d86e1b6ab1e742187a22346.zip
Version bump (bug #374389 by Robert Trace).
(Portage version: 2.2.0_alpha124/cvs/Linux x86_64)
Diffstat (limited to 'www-apps/moinmoin/files')
-rw-r--r--www-apps/moinmoin/files/postinstall-en-1.9.4.txt16
-rw-r--r--www-apps/moinmoin/files/reconfig-1.9.417
2 files changed, 33 insertions, 0 deletions
diff --git a/www-apps/moinmoin/files/postinstall-en-1.9.4.txt b/www-apps/moinmoin/files/postinstall-en-1.9.4.txt
new file mode 100644
index 000000000000..6a6baf764ead
--- /dev/null
+++ b/www-apps/moinmoin/files/postinstall-en-1.9.4.txt
@@ -0,0 +1,16 @@
+Now please read the installation manual at
+/usr/share/doc/${PF}/html
+
+MoinMoin can work with a variety of webservers. Simple Apache instructions
+are given below:
+
+1. ExecCGI needs to be enabled in your Moinmoin directory by doing:
+# echo "Options ExecCGI" > ${MY_INSTALLDIR}/.htaccess
+# echo "AddHandler cgi-script .cgi" >> ${MY_INSTALLDIR}/.htaccess
+
+2. Add the following lines to your Apache configs:
+ScriptAlias /mywiki "${MY_INSTALLDIR}/moin.cgi"
+
+3. Restart Apache
+
+4. Go to http://${VHOST_HOSTNAME}/mywiki/ and follow the instructions there.
diff --git a/www-apps/moinmoin/files/reconfig-1.9.4 b/www-apps/moinmoin/files/reconfig-1.9.4
new file mode 100644
index 000000000000..698da419fdb5
--- /dev/null
+++ b/www-apps/moinmoin/files/reconfig-1.9.4
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+die() {
+ echo "#####"
+ echo $1
+ echo "#####"
+ exit 1
+}
+
+if [ $1 = "install" ]; then
+ sed -e "s|^#\(.*\)/path/to/wikiconfigdir|\1${VHOST_ROOT}/${PN}-${PVR}|g" -i ${MY_INSTALLDIR}/moin.cgi || die "sed failed"
+ sed -e "s|#url_prefix_static|url_prefix_static|" -i ${VHOST_ROOT}/${PN}-${PVR}/wikiconfig.py || die "sed failed"
+ sed -e "s|//|/|" -i ${VHOST_ROOT}/${PN}-${PVR}/wikiconfig.py || die "sed failed"
+
+elif [ $1 = "clean" ]; then
+ echo $1
+fi